/* eslint-env jest */

const { runPlugins } = require('./helpers');

const plugin = require('../operations');

it('replaces the whole declaration operation with a token', () => {
  let actual = runPlugins(
    `
    .a { color: $color-brand * 2; }
    .b { color: 2 * $color-brand; }
    .c { color: $color-brand * $small-size; }
  `,
    [plugin(['color-brand', 'small-size'], { transform: x => x })]
  );
  expect(actual).toMatchSnapshot();
});

it('returns declaration as is if no operation ', () => {
  let actual = runPlugins(
    `
    .a { color: $color-brand; }
  `,
    [plugin(['color-brand'], { transform: x => `token(${x})` })]
  );
  expect(actual).toMatchSnapshot();
});

it('ignores non specified tokens', () => {
  let actual = runPlugins(
    `
    .a { color: $color-brand * 2; }
  `,
    [plugin([], { transform: x => `token(${x})` })]
  );
  expect(actual).toMatchSnapshot();
});
