const _ = require("lodash");
const {
  validToken,
  createToken,
  notParents,
} = require("@salesforce-ux/scss-parser-aura/lib/utils");

const ASSET_PATH_VAR = "static-image-path";

module.exports =
  (tokens, options = {}) =>
  ($) => {
    $("variable")
      .filter((n) => $(n).value() === ASSET_PATH_VAR)
      .hasParent("arguments")
      .parent("arguments")
      .replace((n) => {
        let node = _.cloneDeep(n.node);
        node.value = node.value.filter(
          (nv) => nv.type === "variable" && nv.value !== ASSET_PATH_VAR
        );
        return node;
      });
  };
